/*
 * Main.java
 *
 * Created on April 18, 2006, 10:58 AM
 */

package ca.ualberta.cs.poker.free.server;
import java.security.SecureRandom;
import java.net.*;
import ca.ualberta.cs.poker.free.client.*;
import java.lang.Runtime;
import java.io.*;

/**
 *
 * @author Martin Zinkevich
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws Exception {
        testServer();
        //newServer();
    }
    
    public static void testServer() throws Exception{
        SecureRandom random = new SecureRandom();
        boolean verbose = true;
        
        InetAddress iaddr = InetAddress.getByName("127.0.0.1");
        System.out.println(iaddr);
        
        PokerServer server = new PokerServer(random,iaddr,iaddr,7000);
        server.setVerbose(verbose);
        Thread serverThread = new Thread(server);
        serverThread.start();
        while(server.socket==null){
            Thread.currentThread().sleep(1000);
            System.out.println("one second");
        }
        PokerClient client0 = new AdvancedPokerClient();
        client0.setVerbose(verbose);
        client0.connect(iaddr,server.socket.getLocalPort());
        Thread client0Thread = new Thread(client0);
        client0Thread.start();
        
        PokerClient client1 = new AdvancedPokerClient();
        client1.setVerbose(verbose);
        client1.connect(iaddr,server.socket.getLocalPort());
        Thread client1Thread = new Thread(client1);
        client1Thread.start();
    }
    
    public static void testParadigm() throws Exception{
        String[] cmdline=new String[2];
        Runtime.getRuntime().exec("telnet maz@steele-lk.cs.ualberta.ca");
    }
    
    public static void newServer() throws Exception{
    	// TODO make this the 'run the tournament' command
    	//PokerServer server = new PokerServer( random )
    	
    	boolean verbose = false;
        
        InetAddress iaddr = InetAddress.getByName("127.0.0.1");
        System.out.println(iaddr);
        
        PokerServer server = new PokerServer("127.0.0.1","127.0.0.1",7000, 
        		new FileReader("data/cards/bankrollcomp0comp1match0.crd"), 
        		new BufferedWriter(new FileWriter( "data/logs/newhotnesslogfile.txt")),
        		"data/results/newhotnessresultfile.txt" );
        Thread serverThread = new Thread(server);
        serverThread.start();
        while(server.socket==null){
            Thread.currentThread().sleep(1000);
            System.out.println("one second");
        }
        PokerClient client0 = new RandomPokerClient();
        client0.setVerbose(verbose);
        client0.connect(iaddr,server.socket.getLocalPort());
        Thread client0Thread = new Thread(client0);
        client0Thread.start();
        
        PokerClient client1 = new RandomPokerClient();
        client1.setVerbose(verbose);
        client1.connect(iaddr,server.socket.getLocalPort());
        Thread client1Thread = new Thread(client1);
        client1Thread.start();
    }
    
}
